@import 'variables';
@import url("./effects/effects.scss");
@import url("./effects/gradient.scss");



@font-face {
  font-family: "Outfit";
  font-weight: normal;
  font-weight: 400;
  font-display: block;
  src: local("Outfit"), url("../fonts/Outfit-Regular.ttf") format("ttf"),
    /* Modern Browsers */ url("../fonts/Outfit-Regular.ttf") format("truetype"); /* Safari, Android, iOS */
}
@font-face {
  font-family: "Outfit";
  font-weight: normal;
  font-weight: 500;
  font-display: block;
  src: local("Outfit"), url("../fonts/Outfit-Medium.ttf") format("ttf"),
    /* Modern Browsers */ url("../fonts/Outfit-Medium.ttf") format("truetype"); /* Safari, Android, iOS */
}
@font-face {
  font-family: "Outfit";
  font-weight: normal;
  font-weight: 600;
  font-display: block;
  src: local("Outfit"), url("../fonts/Outfit-SemiBold.ttf") format("ttf"),
    /* Modern Browsers */ url("../fonts/Outfit-SemiBold.ttf") format("truetype"); /* Safari, Android, iOS */
}
@font-face {
  font-family: "Outfit";
  font-weight: normal;
  font-weight: 700;
  font-display: block;
  src: local("Outfit"), url("../fonts/Outfit-Bold.ttf") format("ttf"),
    /* Modern Browsers */ url("../fonts/Outfit-Bold.ttf") format("truetype"); /* Safari, Android, iOS */
}
@font-face {
  font-family: "Kaushan Script";
  font-weight: normal;
  font-weight: 400;
  font-display: block;
  src: local("Kaushan Script"),
    url("../fonts/KaushanScript-Regular.ttf") format("truetype"); /* Safari, Android, iOS */
}


@font-face {
  font-family: 'Saira Stencil One';
  font-weight: normal;
  font-weight: 400;
  font-display: block;
  src: local("Saira Stencil One"),
    url("../fonts/SairaStencilOne-Regular.ttf") format("truetype"); /* Safari, Android, iOS */
}

body {
  width: 100%;
  height: 100%;
  overflow: hidden;
  overflow-y: auto;
  padding: 0;
  margin: 0;
  font-family: "Outfit";
  font-style: normal;
  font-weight: 500;
  font-size: 20px;
  line-height: 24px;
  color: #313131;
  background: var(--black);
  cursor: default;
  &.ReactModal__Body--open {
    overflow: hidden !important;
  }
}
*,
*:before,
*:after {
  box-sizing: border-box;
}
*::-webkit-media-controls-panel {
  display: none !important;
  -webkit-appearance: none;
}
*::-webkit-scrollbar {
  width: 0px;
  background-color: #fff;
  height: 0px;
}
*::-webkit-scrollbar-thumb {
  background-color: #0076a5;
  border-radius: 2px;
}
*::-webkit-media-controls-play-button {
  display: none !important;
  -webkit-appearance: none;
}

*::-webkit-media-controls-start-playback-button {
  display: none !important;
  -webkit-appearance: none;
}
* {
  -webkit-tap-highlight-color: transparent;
}
input[type="number"]::-webkit-outer-spin-button,
input[type="number"]::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}
input[type="number"] {
  -moz-appearance: textfield;
}
input[type="number"]:hover,
input[type="number"]:focus {
  -moz-appearance: number-input;
}

li {
  list-style: none;
}

button {
  background-color: transparent;
  cursor: pointer;
  border: none;
  padding: 0;
  margin: 0;
  font-family: "Outfit";
  font-style: normal;
  font-weight: 400;
  font-size: 18px;
  line-height: 23px;
  letter-spacing: 0.3px;
  color: #fff;
}
button:focus {
  outline: none;
}
a {
  text-decoration: none;
  cursor: pointer;
  outline: none;
  font-family: "Outfit";
  font-style: normal;
  font-weight: 400;
  font-size: 20px;
  line-height: 24px;
  color: #313131;
}

h1,
h2,
h3,
h4,
h5 {
  margin: 0;
  font-family: "Outfit";
  font-weight: normal;
}
h1 {
  font-weight: 700;
  font-size: 36px;
  line-height: 48px;
  color: #ffffff;
}
h2 {
  font-weight: 600;
  font-size: 18px;
  line-height: 24px;
  color: #ffffff;
}
h3 {
  font-weight: 500;
  font-size: 20px;
  line-height: 24px;
  color: #ffffff;
}
h4 {
  font-weight: 400;
  font-size: 18px;
  line-height: 24px;
  color: #313131;
}
p {
  margin: 0;
  font-family: "Outfit";
  font-style: normal;
  font-weight: 500;
  font-size: 20px;
  line-height: 24px;
  color: #ffffff;
}

img {
  pointer-events: none;
}
.amount {
  display: none;
}
.sub {
  font-weight: 500 !important;
  font-size: 16px !important;
  line-height: 24px !important;
  color: #ffffff;
  &::before {
    font-weight: 500;
    font-size: 16px;
    line-height: 24px;
    color: #ffffff;
  }
}
.ReactModal__Overlay {
  background: rgba(0, 0, 0, 0.7) !important;
  backdrop-filter: blur(7px);
  z-index: 9999;
  width: 100vw;
  height: 100%;
  overflow: auto;
  overflow-x: hidden;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.ReactModal__Content {
  width: auto !important;
  height: auto !important;
  padding: 0 !important;
  position: static !important;
  background: none !important;
  border: none !important;
  overflow: visible !important;
  margin: auto;
  max-width: 100vw;
}

.ReactModal__Overlay {
  opacity: 0;
  transition: opacity 400ms ease-in-out;
}

.ReactModal__Overlay--after-open {
  opacity: 1;
}

.ReactModal__Overlay--before-close {
  opacity: 0;
}

@media screen and (max-width: 767px) {
  h1 {
    font-weight: 700;
    font-size: 30px;
    line-height: 46px;
  }
  h2 {
    font-weight: 600;
    font-size: 18px;
    line-height: 24px;
    color: #ffffff;
  }
  h3 {
    font-weight: 500;
    font-size: 20px;
    line-height: 24px;
    color: #ffffff;
  }
  h4 {
    font-weight: 400;
    font-size: 18px;
    line-height: 24px;
    color: #ffffff;
  }
}
.notistack-SnackbarContainer {
  z-index: 2000000001 !important;
}
